# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib import admin
from aggregator.models import *


class DatasetAdmin(admin.ModelAdmin):
    fields = ("title", "description", "order", "stored_at", "table_name", "private", "spatialEast",
              "spatialSouth", "spatialNorth", "spatialWest", "temporalCoverageBegin", "temporalCoverageEnd",
              "license", "observations", "publisher", "update_frequency", "hidden")


admin.site.register(Dataset, DatasetAdmin)


class DimensionAdmin(admin.ModelAdmin):
    fields = ("variable", "name", "title", 'unit', 'description',
              'dataType')


admin.site.register(Dimension, DimensionAdmin)


class VariableAdmin(admin.ModelAdmin):
    fields = ("dataset", "name", "title", 'unit',
              'description', 'dataType')


admin.site.register(Variable, VariableAdmin)


