from django.core.management.base import BaseCommand
from django.conf import settings
from aggregator.models import *
import json


class Command(BaseCommand):

    def add_arguments(self, parser):
        parser.add_argument('filename', type=str)

    def handle(self, *args, **options):
        with open('{0}'.format(options['filename']), "r") as f:
            input_data = json.load(f)

            dataset = Dataset(
                title=input_data['title'],
                source=input_data['source'],
                description=input_data['description'],
                stored_at=input_data['stored_at'],
                table_name=input_data['table_name'],
                publisher=input_data['publisher']
            )
            dataset.save()

            for variable in input_data['variables']:
                var = Variable(
                    dataset=dataset,
                    name=variable['name'],
                    title=variable['title'],
                    unit=variable['unit'],
                    description=variable['description'],
                    dataType=variable['dataType']
                )
                var.save()

                for dimension in input_data['dimensions']:
                    dim = Dimension(
                        variable=var,
                        name=dimension['name'],
                        title=dimension['title'],
                        unit=dimension['unit'],
                        description=dimension['description'],
                        dataType=dimension['dataType']
                    )
                    dim.save()



